summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/run_cluster_tests
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2009-11-18 17:26:43 +0000
committerAlan Conway <aconway@apache.org>2009-11-18 17:26:43 +0000
commit6a5eb849a3567a81db1bd611b83a96b5bfb214a1 (patch)
tree14c7a69d8448bbbb63d439f87bec74932e9906d0 /qpid/cpp/src/tests/run_cluster_tests
parent491c4fd8ed55ec1ab7bdb677d832efed395ae324 (diff)
downloadqpid-python-6a5eb849a3567a81db1bd611b83a96b5bfb214a1.tar.gz
Added cluster option --cluster-size.
--cluster-size=N means that during start-up the cluster waits to have N members before accepting any clients. git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk@881839 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/run_cluster_tests')
-rwxr-xr-xqpid/cpp/src/tests/run_cluster_tests6
1 files changed, 4 insertions, 2 deletions
diff --git a/qpid/cpp/src/tests/run_cluster_tests b/qpid/cpp/src/tests/run_cluster_tests
index 014233d8d3..b090f71852 100755
--- a/qpid/cpp/src/tests/run_cluster_tests
+++ b/qpid/cpp/src/tests/run_cluster_tests
@@ -45,8 +45,10 @@ rm -rf $OUTDIR
mkdir -p $OUTDIR
# Ignore tests requiring a store by default.
-TESTS="-i cluster_tests.ClusterStoreTests.* -I $srcdir/cluster_tests.fail $*"
+CLUSTER_TESTS_IGNORE=${CLUSTER_TESTS_IGNORE:--i cluster_tests.StoreTests.* -I $srcdir/cluster_tests.fail}
+CLUSTER_TESTS=${CLUSTER_TESTS:-$*}
-with_ais_group $PYTHON_COMMANDS/qpid-python-test -DOUTDIR=$OUTDIR -m cluster_tests $TESTS || exit 1
+set -x
+with_ais_group $PYTHON_COMMANDS/qpid-python-test -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE $CLUSTER_TESTS || exit 1
rm -rf $OUTDIR
#exit 0